<template>
  <div class="featured-rooms">
    <div class="section-ttl">
      <h2 class="section-ttl__txt">Featured Rooms</h2>
      <div class="section-ttl__line"></div>
    </div>
    <room-list :rooms="featuredRoom"></room-list>
  </div>
</template>

<script>
import RoomList from "./../RoomsComponent/RoomList";
import store from "./../../store";
import { mapGetters } from "vuex";
import { featuredRoom } from "../../helper";

export default {
  name: "FeaturedRooms",
  components: {
    "room-list": RoomList
  },
  computed: {
    rooms() {
      return store.state.rooms;
    },
    featuredRoom() {
      return featuredRoom(store.state.rooms);
    }
  },
  created() {
    store.dispatch("fetchRooms", { self: this });
  },
  methods: {
    filterRooms() {}
  }
};
</script>

<style lang="">
.featured-rooms {
  padding: 5rem 0;
}
</style>
